indexing
	description: "A flag (an option that does not require extra arguments)"
	author: "Bernd Schoeller"
	copyright: "(c) 2006 Bernd Schoeller (bernd@fams.de)"
	license: "see included README.txt file"
	date: "$Date: 2006/03/27 12:37:40 $"
	revision: "$Revision: 1.3 $"

class OP_FLAG

inherit
	
	OP_OPTION

create

	make,
	make_with_long_form,
	make_with_short_form

feature -- Access

	occurrences: INTEGER
		-- Number of times this flag was encountered

feature -- Status report

	needs_parameter: BOOLEAN is
			-- Does this option need a parameter?
		do
			Result := False
		end

feature{OP_PARSER} -- Parser Interface

	record_occurrence (a_parser: OP_PARSER) is
			-- This option was found during parsing.
			-- (export status {OP_PARSER})
		do
			occurrences := occurrences + 1
		end

	reset is
			-- Reset the option to a clean state before parsing.
		do
			occurrences := 0
		end

		
invariant
	
	flags_do_not_have_parameters: not needs_parameter

end
